package com.gxzc.zen.web.sys.controller

import com.gxzc.zen.common.base.BaseController
import com.gxzc.zen.common.dto.ResultDto
import org.springframework.web.bind.annotation.PostMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController
import javax.servlet.http.Cookie

/**
 * 身份验证相关控制器
 * @author NorthLan
 * @date 2018/2/10
 * @url https://noahlan.com
 */
@RestController
@RequestMapping("auth")
class AuthController : BaseController() {

    @PostMapping("login")
    fun login(): ResultDto {
        val req = getRequest()
        val cks = req.cookies
        getResponse().addCookie(Cookie("test", "testCookie"))
        return ResultDto(1, null, "a")
    }
}